### File

`packages/eui-dynamic-forms-ui/src/lib/core/base-dyn/base-dyn.component.ts`

### Index

###### Properties

- Optional children
- Optional context
- Optional fieldId
- Optional frameId
- Optional genericService
- Optional globalStore
- Optional metaDataIndex
- Optional parent
- Optional parentData
- Optional setId

### Properties

children
`children: `UxDynFormModelArray``
Type : `UxDynFormModelArray`
Optional

context
`context: `any``
Type : `any`
Optional

fieldId
`fieldId: `string``
Type : `string`
Optional

frameId
`frameId: `string``
Type : `string`
Optional

genericService
`genericService: `DynGenericService``
Type : `DynGenericService`
Optional

globalStore
`globalStore: `Store<any>``
Type : `Store<any>`
Optional

metaDataIndex
`metaDataIndex: `string``
Type : `string`
Optional

parent
`parent: `FormGroup | FormArray``
Type : `FormGroup | FormArray`
Optional

parentData
`parentData: `UxDynFormArrayParentData``
Type : `UxDynFormArrayParentData`
Optional

setId
`setId: `string``
Type : `string`
Optional

# result-matching ""

# No results matching ""